Runtime

## org.eclipse.gmf.runtime.common.ui.util
Class StatusLineUtil

    java.lang.Object
      org.eclipse.gmf.runtime.common.ui.util.StatusLineUtil

public class StatusLineUtil
extends java.lang.Object

Utility class for outputting text to the status line

Method Summary
`static void` `outputErrorMessage(IWorkbenchPart part, java.lang.String errorMessage)` Outputs an error message to the part's status line.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### outputErrorMessage

    public static void outputErrorMessage(IWorkbenchPart part,
                                          java.lang.String errorMessage)

  Outputs an error message to the part's status line. Does nothing if the status line manager cannot be determined from the `part`.

  Can be invoked from a non-UI thread.

  Parameters:
    `part` - the part
    `errorMessage` - the error message

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.